unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    BMinMax: TButton;
    BCalcPos: TButton;
    CBAutoLeft: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure BMinMaxClick(Sender: TObject);
    procedure BCalcPosClick(Sender: TObject);
    procedure CBAutoLeftClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.View3D:=false;

  with Chart1.AddSeries(TPointSeries) do
  begin
    AddXY(0, 4.73);
    AddXY(1, 19.54);
  end;

  Chart1.Draw;
  Chart1.Axes.Left.Automatic:=CBAutoLeft.Checked;
end;

procedure TForm1.BMinMaxClick(Sender: TObject);
begin
  Caption:='Left Axis Min: ' + FormatFloat('#0.00', Chart1.Axes.Left.Minimum) +
           ' / Max: ' + FormatFloat('#0.00', Chart1.Axes.Left.Maximum);
end;

procedure TForm1.BCalcPosClick(Sender: TObject);
begin
  Caption:='Chart1.Axes.Left.CalcPosPoint(?) Not sure what''s suposed to be given as parameter';  
end;

procedure TForm1.CBAutoLeftClick(Sender: TObject);
begin
  Chart1.Axes.Left.Automatic:=CBAutoLeft.Checked;
end;

end.
